<?php

namespace Modules\Ft\Http\Controllers;

use App\Models\CargosMeta4;
use App\Models\Ft;
use App\Models\Pof;
use Maatwebsite\Excel\Excel as ExcelExcel;
use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Maatwebsite\Excel\Facades\Excel;
use Modules\Ft\Repositories\V1\FtReportesRepository;
use File;
use Response;
class FtReportesController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Renderable
     */
    public function index(Request $request )
    {
		    ini_set('max_execution_time', 300);

        $rules = [
            'desde' => 'nullable|date',
            'hasta' => 'nullable|date',
            'area_id' => 'nullable|string',
            'reporte_id' => 'string'
        ];
        $data =$request->validate($rules);
        $repository = new FtReportesRepository($data);

        if ($data['reporte_id'] == "datosInvocacionServicios_1")
            $results = $repository->datosInvocacionServicios(1);
        elseif ($data['reporte_id'] == "datosInvocacionServicios_2")
            $results = $repository->datosInvocacionServicios(1);
        else
            $results = $repository->{$data['reporte_id']}();

		    return Response::json($results, 201);

    }



}
