<?php

namespace Modules\OrdenProviciones\Dto;

use App\Dto\BaseDto;
use Carbon\Carbon;

class MatriculasDto extends BaseDto
{
    protected $matricula;
    protected $cueanexo;
    protected $fecha;
    protected $apertura;

    /**
     * @return mixed
     */
    public function getMatricula()
    {
        return $this->matricula;
    }

    /**
     * @param mixed $matricula
     */
    public function setMatricula($matricula): void
    {
        $this->matricula = $matricula;
    }

    /**
     * @return mixed
     */
    public function getCueanexo()
    {
        return $this->cueanexo;
    }

    /**
     * @param mixed $cueanexo
     */
    public function setCueanexo($cueanexo): void
    {
        $this->cueanexo = $cueanexo;
    }

    /**
     * @return mixed
     */
    public function getFecha()
    {
        return $this->fecha;
    }

    /**
     * @param mixed $fecha
     */
    public function setFecha($fecha): void
    {
        $this->fecha = Carbon::parse($fecha)->format('d/m/Y');
    }

    /**
     * @return mixed
     */
    public function getApertura():Array|null
    {
        return $this->apertura;
    }

    /**
     * @param mixed $apertura
     */
    public function setApertura($apertura): void
    {
        $apertura_dto = array();
        $decode_datos = json_decode($apertura, true);
        foreach ($decode_datos as $key => $value) {
            if ($key != 'total') {
                foreach ($value as  $elements) {
                    foreach ($elements as $nivel => $dato){
                        $dto = new AperturaMatriculaDto();
                        $dto->setJornada($key);
                        $dto->setNivel($nivel);
                        $dto->setTotal($dato['sumaTotal']);
                        $apertura_dto[] = $dto;
                    }

                }

            }
        }
        $this->apertura = $apertura_dto;
    }


}
