<?php

namespace Modules\OrdenProviciones\Dto;

use App\Dto\BaseDto;

class ServiciosDto extends BaseDto
{
    protected $id;
    protected $dias;
    protected $establecimiento_id;
    protected $nivel_id;
    protected $servicio_id;
    protected $servicio;
    protected $cantidad;
    protected $observacion;
    protected $ajuste_consumo_yogur;
    protected $porcentaje_ajuste_por_consumo_yogur;
    protected $ajuste_consumo_leche;
    protected $porcentaje_ajuste_leche;
    protected $domicilio_entrega;


    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id): void
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getDias()
    {
        return $this->dias;
    }

    /**
     * @param mixed $dias
     */
    public function setDias($dias): void
    {
        $dias_selecionados = [];
        if (!is_null($dias))
        {
            foreach ($dias as $key => $value){
                $dias_selecionados[] = $value;
            }
        }
        $this->dias = $dias_selecionados;
    }

    /**
     * @return mixed
     */
    public function getServicioId()
    {
        return $this->servicio_id;
    }

    /**
     * @param mixed $servicio_id
     */
    public function setServicioId($servicio_id): void
    {
        $this->servicio_id = $servicio_id;
    }

    /**
     * @return mixed
     */
    public function getServicio()
    {
        return $this->servicio;
    }

    /**
     * @param mixed $servicio
     */
    public function setServicio($servicio): void
    {
        $this->servicio = $servicio;
    }

    /**
     * @return mixed
     */
    public function getCantidad()
    {
        return $this->cantidad;
    }

    /**
     * @param mixed $cantidad
     */
    public function setCantidad($cantidad): void
    {
        $this->cantidad = $cantidad;
    }

    /**
     * @return mixed
     */
    public function getObservacion()
    {
        return $this->observacion;
    }

    /**
     * @param mixed $observacion
     */
    public function setObservacion($observacion): void
    {
        $this->observacion = $observacion;
    }

    /**
     * @return mixed
     */
    public function getEstablecimientoId()
    {
        return $this->establecimiento_id;
    }

    /**
     * @param mixed $establecimiento_id
     */
    public function setEstablecimientoId($establecimiento_id): void
    {
        $this->establecimiento_id = $establecimiento_id;
    }

    /**
     * @return mixed
     */
    public function getNivelId()
    {
        return $this->nivel_id;
    }

    /**
     * @param mixed $nivel_id
     */
    public function setNivelId($nivel_id): void
    {
        $this->nivel_id = $nivel_id;
    }

    /**
     * @return mixed
     */
    public function getAjusteConsumoYogur()
    {
        return $this->ajuste_consumo_yogur;
    }

    /**
     * @param mixed $ajuste_consumo_yogur
     */
    public function setAjusteConsumoYogur($ajuste_consumo_yogur): void
    {
        $this->ajuste_consumo_yogur = $ajuste_consumo_yogur;
    }

    /**
     * @return mixed
     */
    public function getPorcentajeAjustePorConsumoYogur()
    {
        return $this->porcentaje_ajuste_por_consumo_yogur;
    }

    /**
     * @param mixed $porcentaje_ajuste_por_consumo_yogur
     */
    public function setPorcentajeAjustePorConsumoYogur($porcentaje_ajuste_por_consumo_yogur): void
    {
        $this->porcentaje_ajuste_por_consumo_yogur = $porcentaje_ajuste_por_consumo_yogur;
    }

    /**
     * @return mixed
     */
    public function getAjusteConsumoLeche()
    {
        return $this->ajuste_consumo_leche;
    }

    /**
     * @param mixed $ajuste_consumo_leche
     */
    public function setAjusteConsumoLeche($ajuste_consumo_leche): void
    {
        $this->ajuste_consumo_leche = $ajuste_consumo_leche;
    }

    /**
     * @return mixed
     */
    public function getPorcentajeAjusteLeche()
    {
        return $this->porcentaje_ajuste_leche;
    }

    /**
     * @param mixed $porcentaje_ajuste_leche
     */
    public function setPorcentajeAjusteLeche($porcentaje_ajuste_leche): void
    {
        $this->porcentaje_ajuste_leche = $porcentaje_ajuste_leche;
    }

    /**
     * @return mixed
     */
    public function getDomicilioEntrega()
    {
        return $this->domicilio_entrega;
    }

    /**
     * @param mixed $domicilio_entrega
     */
    public function setDomicilioEntrega($domicilio_entrega): void
    {
        $this->domicilio_entrega = $domicilio_entrega;
    }




}
