<?php

namespace Modules\OrdenProviciones\Repositories\V1;

use App\Repository\EloquentRepository;
use Illuminate\Support\Facades\DB;
use Modules\OrdenProviciones\Entities\V1\MatriculaEscuelas;

class MatriculaEscuelasRepository extends EloquentRepository
{
    public function __construct()
    {
        parent::__construct(new MatriculaEscuelas());
    }

    public function getMatriculaByEstablecimientoId($establecimiento_id)
    {
        return DB::table('matricula_escuelas')->select([
            'matricula',
            'datos',
            'cueanexo',
            DB::raw('MAX(fecha) AS fecha')
        ])
            ->where('establecimiento_id','=',$establecimiento_id)
            ->get();

    }

}
