<?php

namespace App\Entities\Eloquent;

use Illuminate\Database\Eloquent\Model;

class EstablecimientoServicios extends Model
{
    protected $table = 'establecimiento_servicios';

    public $timestamps = false;

    protected $fillable = [
        'establecimiento_id',
        'nivel_id',
        'servicio_id',
        'cantidad',
        'dias',
        'listado_id',
        'fecha_inicio',
        'fecha_modificacion',
        'vigente',
        'observacion',
        'ref_id',
        'ciclo_lectivo_id',
        'ajuste_consumo_yogur',
        'porcentaje_ajuste_por_consumo_yogur',
        'ajuste_consumo_leche',
        'porcentaje_ajuste_leche',
        'domicilio_entrega'

    ];

}
