<?php

namespace App\Http\Controllers;

use App\Http\Resources\AreaResource;


use App\Models\Area;
use App\Services\Search\SearchAreaService;
use Illuminate\Http\Request;

class AreaController extends Controller
{
    public function index(Request $request ) {
        $query = Area::query();
        if($request->has('areas_en_reportes_ft')){
            $query = $query->whereIn('c002_id',  array('C','M','TT','E','I','P','A','S') );
        }
        return   AreaResource::collection($query->get());
    }
}
