<?php

namespace App\Http\Controllers;

use App\Http\Resources\AreaResource;


use App\Http\Resources\AsignaturaResource;
use App\Http\Resources\CaracterResource;
use App\Http\Resources\CargoResource;
use App\Models\Area;
use App\Models\Asignatura;
use App\Models\Caracter;
use App\Models\Cargo;
use App\Service\Search\AsignaturaSearchService;
use App\Services\Search\SearchAreaService;
use Illuminate\Http\Request;

class AsignaturasController extends Controller
{
    public function index(AsignaturaSearchService $search) {
		    $query = $search->search();
        return   AsignaturaResource::collection($query);
    }
}
