<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;
use DB;


class DisponibleResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        $horas_147= $this->c071_horasdisponibles;

        if(empty($horas_147) || $horas_147 ==0 ){
            $sql_horas_147="select c147_cargahoraria as horas from 147_CARGA_HORARIA  where   c147_012_id = '".$this->establecimiento->c011_012_id ."' and c147_030_id = ".$this->cargo->c030_id ." and   c147_035_id  ".$this->cargo->c030_035_id ."  limit 1 ";
            $rows= (DB::select($sql_horas_147));
            if(( isset($rows[0]) && $rows[0]->horas > 0 ) )
                $horas_147 = $rows[0]->horas;
        }
        if(empty($horas_147) || $horas_147 ==0 ){
            $sql_horas_147="select c147_cargahoraria as horas from 147_CARGA_HORARIA  where c147_030_id = ".$this->cargo->c030_id ." and   c147_035_id  ".$this->cargo->c030_035_id ."  limit 1 ";
            $rows= (DB::select($sql_horas_147));
            if(( isset($rows[0]) && $rows[0]->horas > 0 ) )
                $horas_147 = $rows[0]->horas;
        }
        return [
            'cargo_id' => $this->cargo->c030_031_id,
            'caracter_id' => 'D',
            // 'caracter' => is_null($caracterObj)?'': new CaracterResource($caracterObj),
            'fecha_toma_posecion' => !is_null($this->c071_fcmzo)?$this->c071_fcmzo->format('d/m/Y'):'',
            'cuatrimestre' => $this->c071_cuat,
            'anio' => $this->c071_ano,
            'division' => $this->c071_div,
            'grupo_educacion_fisica' => $this->c071_gef,
            'curso' => $this->c071_curso,
            'comision' => $this->c071_comision,
            'horas' => $this->c071_horasdisponibles,
            'horas_titular' => $this->c071_horast,
            'horas_interino' => $this->c071_horasi,
            'horas_suplente' => $this->c071_horass,
            'anio_creacion' => $this->c071_anocrea,
            'observaciones' => utf8_encode($this->c071_memo),
            'fecha_vacante' => $this->c071_fvacante,
            'marca' => $this->c071_marca,
            'marca_web' => $this->c071_marca_web,
            'anio_desactivado' => $this->c071_aniodesactivado,
            'cese_pendiente' => $this->c071_cesependiente,
            'orden_vista' => $this->c071_orden,
            'movimiento' => $this->c071_movimiento,
            'revisado' => $this->c071_revisado,
            'vinculacion_cuatrimestral' => $this->c071_vinculacioncuatrimestral,
            'baja_pof_presupuestaria' => $this->c071_baja_pof_presupuestaria,
            'tipo_cargo' => "071",
            'es_dhc' =>  ($this->cargo->c030_031_id == 1 &&  $this->cargo->c030_032_id == 'PR' &&  !in_array($this->cargo->c030_id ,array(1504,1507, 1528, 1549, 1550 )  )) || $this->cargo->c030_id == 9883,
            'es_tp_tc_pmea' =>   in_array($this->cargo->c030_id ,array(1504,1507, 1528, 1549, 1550,9883)  ),
            'es_tp_tc' =>        in_array($this->cargo->c030_id ,array(1504,1507, 1528, 1549, 1550)  ),
            'es_jc' =>  $this->c071_035_id1 = 7 && in_array($this->c071_030_id, array(2486,3442,612,2414,1089,1058,2389,1055,9107,9968,9109,9105,3520,3521,3523,1020,315,1057,1040,57,59)),

            'es_conduccion' => ($this->cargo->c030_031_id == "2" ),
            'c030_id' =>  $this->cargo->c030_id ,
            'c030_031_id' =>  $this->cargo->c030_031_id ,
            'c030_032_id' =>  (string ) $this->cargo->c030_032_id,



            '147_horas' => $horas_147 ,
            'oriAcceso' => new OriAccesoResource(
                $this->whenLoaded('oriAcceso')
            ),
            'oriVacante' => new OriVacanteResource(
                $this->whenLoaded('oriVacante')
            ),
            'asignatura' => new AsignaturaResource(
                $this->whenLoaded('asignatura')
            ),
            'turno' => new TurnoResource(
                $this->whenLoaded('turno')
            ),
            'turno2' => new TurnoResource(
                $this->whenLoaded('turno2')
            ),
            'tramo' => new TramoResource(
                $this->whenLoaded('tramo')
            ),
            'cargo' => new CargoResource(
                $this->whenLoaded('cargo')
            ),
            'plan' => new PlanResource(
                $this->whenLoaded('plan')
            ),
            'establecimiento' => new EstablecimientoResource(
                $this->whenLoaded('establecimiento')
            ),
            'area' => $this->when(($this->establecimiento && $this->establecimiento->area), new AreaResource($this->establecimiento->area)),


            'normaAlta' => new NormaResource(
                $this->whenLoaded('normaAlta')
            ),
            'normaBaja' => new NormaResource(
                $this->whenLoaded('normaBaja')
            ),
            'nivel' => new NivelResource(
                $this->whenLoaded('nivel')
            ),
            'persona' => new PersonaResource(
                $this->whenLoaded('persona')
            ),
            'titularAnterior' => new PersonaResource(
                $this->whenLoaded('titularAnterior')
            ),
            'normaCreacion' => new NormaResource(
                $this->whenLoaded('normaCreacion')
            ),
            'normaExpedienteElectronico' => new NormaResource(
                $this->whenLoaded('normaExpedienteElectronico')
            ),
            'tipoMovimiento' => new TipoMovimientoResource(
                $this->whenLoaded('tipoMovimiento')
            ),
            'familiaProfesional' => new FamiliaProfesionalResource(
                $this->whenLoaded('familiaProfesional')
            ),
            'origen' => new OrigenResource(
                $this->whenLoaded('origen')
            ),
            'pedidoTp' => new PedidoTpResource(
                $this->whenLoaded('pedidoTp')
            ),


        ];

    }
}
