<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;


class EstablecimientoResource extends JsonResource
{

    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {

        return [
            'id' => $this->c011_id,
            'descripcion' => $this->c011_de ,
            'esc' => $this->c011_esc ,
            'nom' => $this->c011_nom ,
            'nombre' => $this->c011_onom ,
            'direccion' => $this->c011_dir ,
            'cp' => $this->c011_cp ,
            'act' => $this->c011_act ,
            'memo' => $this->c011_memo ,
            'jor' => $this->c011_jor ,
            'cue' => $this->c011_cue ,
            'telef' => $this->c011_telef ,
            'ancue' => $this->c011_ancue ,
            'falta' => $this->c011_falta ,
            'fbaja' => $this->c011_fbaja ,
            'marca' => $this->c011_marca ,
            'comuna' => $this->c011_comuna ,
            'pofmigrada' => $this->c011_pofmigrada ,
            'repaloca' => $this->c011_repaloca ,
            'abreviatura' => $this->c011_abreviatura ,
            'cui' => $this->c011_cui ,
            'reingreso' => $this->c011_reingreso ,
            'mail' => $this->c011_mail ,
            'aniosecdelfuturo' => $this->c011_aniosecdelfuturo ,
            'cuatrimestralizado' => $this->c011_cuatrimestralizado ,
            'fecha_dedicacion_exclusiva' => $this->c011_fecha_dedicacion_exclusiva ,
            'dedicacion_exclusiva' => $this->c011_dedicacion_exclusiva ,


        ];
/*
c011_011_id
c011_090_id
c011_460_id
c011_013_idintensificada
c011_013_idsecdelfuturo
c011_085_id
c011_014nuevo_id
c011_dedicacion_exclusiva
c011_014_id
c011_002_id
c011_012_id
 */
    }
}
