<?php

namespace App\Models;


use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Database\Eloquent\Scope;
use Illuminate\Database\Eloquent\Builder;
use App\Helpers\FormatHelper;

class Cargo extends Model
{
    protected $table = '030_CARGOS';
    public $timestamps = false;
    protected $primaryKey = 'c030_id';
    protected $casts = [
        'c030_032_id'=>'string',
        'c030_031_id' => 'integer',

    ];

		public function scopeEstablecimiento($query, $value)
		{
				$value = intval($value);
				$query->whereRaw('c030_id in (select DISTINCT c034_030_id from `034_POF` p where p.c034_011_id = '.$value.' ) ');
		}

}
