<?php

namespace App\Models;


use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Database\Eloquent\Scope;
use Illuminate\Database\Eloquent\Builder;
use App\Helpers\FormatHelper;

class Titularizacion extends Model
{
    protected $table = '830_TITULARIZACION_2022';
    public $timestamps = false;
    protected $dates = ['c830_creado','c830_modificado'];
    protected $fillable = ['c830_id','c830_020_id','c830_situacion_validada','c830_creado','c830_modificado','c830_situacion_revista_json','c830_tiene_apto_medico'];
  //  protected $with = ['persona'];

    protected $primaryKey = 'c830_id';

    public function persona() {
        return $this->hasOne(Persona::class, 'c020_id', 'c830_020_id');
    }

}
