<?php

namespace App\Service\Search;


use App\Http\Requests\CaracteresSearchRequest;
use App\Models\Caracter;
use App\Service\Search\Maps\CaracteresSearchMap;


class CaracteresSearchService extends AbstractSearchService
{
    protected $request;


    public function __construct(CaracteresSearchRequest $request)
    {
        $this->request = $request;
        $this->map_columns = [];
        $this->exclude_columns = array(...$this->exclude_columns );
        $this->order_by_columns = [];
        $this->map_columns = CaracteresSearchMap::$map;
    }

    public function search( $paginate = false )
    {

        $this->request->validated();
				$query = Caracter::query() ;

//				if($paginate)
//            return   $this->find($query)->paginate($this->request->get('per_page', 12)) ;
//				else
						return   $this->find($query)->get() ;
    }


}
