<?php

namespace App\Service\Search;

use App\Http\Requests\ModalidadesSearchRequest;
use App\Models\Modalidad;
use App\Service\Search\Maps\ModalidadSearchMap;


class ModalidadesSearchService extends AbstractSearchService
{
    protected $request;


    public function __construct(ModalidadesSearchRequest $request)
    {
        $this->request = $request;
        $this->map_columns = [];
        $this->exclude_columns = array(...$this->exclude_columns );
        $this->order_by_columns = [];
        $this->map_columns = ModalidadSearchMap::$map;
    }

    public function search( $paginate = false )
    {

        $this->request->validated();
				$query = Modalidad::query() ;

//				if($paginate)
//            return   $this->find($query)->paginate($this->request->get('per_page', 12)) ;
//				else
						return   $this->find($query)->get() ;
    }


}
