<?php

namespace Modules\Auth\Repositories\V1;

use App\Repository\EloquentRepository;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;
use Modules\Auth\Entities\Eloquent\PersonalAccessTokens;

class PersonalAccessTokensRepository extends EloquentRepository
{
    public function __construct()
    {
        parent::__construct(new PersonalAccessTokens());
    }


    public function getUserByToken($token)
    {
        return DB::table('personal_access_tokens AS t')
                ->join('sf_guard_user AS u','u.id','=','t.tokenable_id')
                ->where('t.token','=',$token)
                ->first();
    }

}
