<?php

use Illuminate\Http\Request;
use \Modules\Ft\Http\Controllers\FtReportesController;
use \Modules\Ft\Http\Controllers\PofController;
/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/
Route::prefix('v1')->group(function() {
Route::middleware('auth:api')->get('/ft', function (Request $request) {
    return $request->user();
});
//
Route::get('/ft/reportes', [FtReportesController::class, 'index'])->name('ftreportes.index');
Route::get('/pof/getAperturas/{id}', [PofController::class, 'getPuestosEstablecimientos'])->name('pof.getAperturas');
Route::post('/pof/getPuestosPendientes', [PofController::class, 'getPuestosPendientes'])->name('pof.getPuestosPendientes');
Route::post('/pof/deletePuesto/{id}/{establecimiento_id}', [PofController::class, 'deletePuesto'])->name('pof.deletePuesto');
Route::post('/pof', [PofController::class, 'store'])->name('pof.store');
Route::get('/pof', [PofController::class, 'index'])->name('pof.search');
//Route::get('/pof', [PofController::class, 'store'])->name('pof.store');
});
