<?php

namespace Modules\Licitaciones\Http\Controllers;

use Illuminate\Routing\Controller;
use Modules\Licitaciones\Entities\V1\OrdenesCompra;
use Modules\Licitaciones\Services\OrdenesCompraService;


class OrdenesCompraController extends Controller
{
    protected $service;

    public function __construct(OrdenesCompraService $OrdenesCompraService)
    {
        $this->service = $OrdenesCompraService;
    }

    public function index()
    {
        try {
            return response([
                'ordenesCompra' => $this->service->getOrdenesCompra()
            ]);
        } 
        catch (\Exception $e) {
            dd($e->getMessage());
        }
    }
    // public function index()
    // {
    //     // $ordenesCompra = OrdenCompra::all();
    //     // dd($ordenesCompra);
    //     $ordenesCompra = OrdenesCompra::select('orden_compra.id','orden_compra.numero','orden_compra.ejercicio',
    //     'orden_compra.descripcion','pliego.descripcion as pliego','proveedor.nombre as proveedor',
    //     'orden_compra.fecha','orden_compra.fecha_emision','orden_compra.solicitud')
    //     ->join('proveedor','proveedor.id','=','orden_compra.proveedor_id')
    //     ->join('pliego','pliego.id','=','orden_compra.pliego_id')
    //     ->orderBy('orden_compra.id')
    //     ->paginate(10);
    //     return($ordenesCompra);
    // }

}