<?php

namespace Modules\Licitaciones\Http\Controllers;

use Illuminate\Routing\Controller;
use Modules\Licitaciones\Entities\V1\Pliego;
use Modules\Licitaciones\Services\PliegoService;

class PliegoController extends Controller
{
    protected $service;

    public function __construct(PliegoService $pliegoService)
    {
        $this->service = $pliegoService;
    }


    public function index()
    {
        try {
            return response([
                'pliegos' => $this->service->getPliegos()
            ]);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }
}
