<?php

namespace Modules\Licitaciones\Http\Controllers;

use Illuminate\Routing\Controller;
use Modules\Licitaciones\Services\RenglonService;

class RenglonController extends Controller
{

    protected $service;

    public function __construct(RenglonService $renglonService)
    {
        $this->service = $renglonService;
    }


    public function index()
    {
        try {
            return response([
                'renglones' => $this->service->getRenglones()
            ]);
        } catch (\Exception $e) {
            dd($e->getMessage());
        }
    }
}