<?php

namespace Modules\OrdenProviciones\Dto;

use App\Dto\BaseDto;

class BecasEstablecimientoDto extends BaseDto
{
    protected $id;
    protected $codigo;
    protected $nombre;
    protected $distrito_escolar;
    protected $establecimiento_id;
    protected $pendiente_validacion;
    protected $modulo_validacion;
    protected $modulo_otorgamiento;
    protected $validada;
    protected $evaluada;
    protected $aprobada;
    protected $aprobadas_al_100;
    protected $aprobadas_al_50;
    protected $rechazada;
    protected $deshabilitada;
    protected $enviada_a_revisar;
    protected $revisada;
    protected $solicitud_incompleta;
    protected $evaluada_solicitud_incompleta;
    protected $aprobada_solicitud_incompleta;
    protected $borradas;
    protected $renovadas;
    protected $total_de_becas;

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id): void
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getCodigo()
    {
        return $this->codigo;
    }

    /**
     * @param mixed $codigo
     */
    public function setCodigo($codigo): void
    {
        $this->codigo = $codigo;
    }

    /**
     * @return mixed
     */
    public function getNombre()
    {
        return $this->nombre;
    }

    /**
     * @param mixed $nombre
     */
    public function setNombre($nombre): void
    {
        $this->nombre = $nombre;
    }

    /**
     * @return mixed
     */
    public function getDistritoEscolar()
    {
        return $this->distrito_escolar;
    }

    /**
     * @param mixed $distrito_escolar
     */
    public function setDistritoEscolar($distrito_escolar): void
    {
        $this->distrito_escolar = $distrito_escolar;
    }

    /**
     * @return mixed
     */
    public function getEstablecimientoId()
    {
        return $this->establecimiento_id;
    }

    /**
     * @param mixed $establecimiento_id
     */
    public function setEstablecimientoId($establecimiento_id): void
    {
        $this->establecimiento_id = $establecimiento_id;
    }

    /**
     * @return mixed
     */
    public function getPendienteValidacion()
    {
        return $this->pendiente_validacion;
    }

    /**
     * @param mixed $pendiente_validacion
     */
    public function setPendienteValidacion($pendiente_validacion): void
    {
        $this->pendiente_validacion = $pendiente_validacion;
    }

    /**
     * @return mixed
     */
    public function getModuloValidacion()
    {
        return $this->modulo_validacion;
    }

    /**
     * @param mixed $modulo_validacion
     */
    public function setModuloValidacion($modulo_validacion): void
    {
        $this->modulo_validacion = $modulo_validacion;
    }

    /**
     * @return mixed
     */
    public function getModuloOtorgamiento()
    {
        return $this->modulo_otorgamiento;
    }

    /**
     * @param mixed $modulo_otorgamiento
     */
    public function setModuloOtorgamiento($modulo_otorgamiento): void
    {
        $this->modulo_otorgamiento = $modulo_otorgamiento;
    }

    /**
     * @return mixed
     */
    public function getValidada()
    {
        return $this->validada;
    }

    /**
     * @param mixed $validada
     */
    public function setValidada($validada): void
    {
        $this->validada = $validada;
    }

    /**
     * @return mixed
     */
    public function getEvaluada()
    {
        return $this->evaluada;
    }

    /**
     * @param mixed $evaluada
     */
    public function setEvaluada($evaluada): void
    {
        $this->evaluada = $evaluada;
    }

    /**
     * @return mixed
     */
    public function getAprobada()
    {
        return $this->aprobada;
    }

    /**
     * @param mixed $aprobada
     */
    public function setAprobada($aprobada): void
    {
        $this->aprobada = $aprobada;
    }

    /**
     * @return mixed
     */
    public function getAprobadasAl100()
    {
        return $this->aprobadas_al_100;
    }

    /**
     * @param mixed $aprobadas_al_100
     */
    public function setAprobadasAl100($aprobadas_al_100): void
    {
        $this->aprobadas_al_100 = $aprobadas_al_100;
    }

    /**
     * @return mixed
     */
    public function getAprobadasAl50()
    {
        return $this->aprobadas_al_50;
    }

    /**
     * @param mixed $aprobadas_al_50
     */
    public function setAprobadasAl50($aprobadas_al_50): void
    {
        $this->aprobadas_al_50 = $aprobadas_al_50;
    }

    /**
     * @return mixed
     */
    public function getRechazada()
    {
        return $this->rechazada;
    }

    /**
     * @param mixed $rechazada
     */
    public function setRechazada($rechazada): void
    {
        $this->rechazada = $rechazada;
    }

    /**
     * @return mixed
     */
    public function getDeshabilitada()
    {
        return $this->deshabilitada;
    }

    /**
     * @param mixed $deshabilitada
     */
    public function setDeshabilitada($deshabilitada): void
    {
        $this->deshabilitada = $deshabilitada;
    }

    /**
     * @return mixed
     */
    public function getEnviadaARevisar()
    {
        return $this->enviada_a_revisar;
    }

    /**
     * @param mixed $enviada_a_revisar
     */
    public function setEnviadaARevisar($enviada_a_revisar): void
    {
        $this->enviada_a_revisar = $enviada_a_revisar;
    }

    /**
     * @return mixed
     */
    public function getRevisada()
    {
        return $this->revisada;
    }

    /**
     * @param mixed $revisada
     */
    public function setRevisada($revisada): void
    {
        $this->revisada = $revisada;
    }

    /**
     * @return mixed
     */
    public function getSolicitudIncompleta()
    {
        return $this->solicitud_incompleta;
    }

    /**
     * @param mixed $solicitud_incompleta
     */
    public function setSolicitudIncompleta($solicitud_incompleta): void
    {
        $this->solicitud_incompleta = $solicitud_incompleta;
    }

    /**
     * @return mixed
     */
    public function getEvaluadaSolicitudIncompleta()
    {
        return $this->evaluada_solicitud_incompleta;
    }

    /**
     * @param mixed $evaluada_solicitud_incompleta
     */
    public function setEvaluadaSolicitudIncompleta($evaluada_solicitud_incompleta): void
    {
        $this->evaluada_solicitud_incompleta = $evaluada_solicitud_incompleta;
    }

    /**
     * @return mixed
     */
    public function getAprobadaSolicitudIncompleta()
    {
        return $this->aprobada_solicitud_incompleta;
    }

    /**
     * @param mixed $aprobada_solicitud_incompleta
     */
    public function setAprobadaSolicitudIncompleta($aprobada_solicitud_incompleta): void
    {
        $this->aprobada_solicitud_incompleta = $aprobada_solicitud_incompleta;
    }

    /**
     * @return mixed
     */
    public function getBorradas()
    {
        return $this->borradas;
    }

    /**
     * @param mixed $borradas
     */
    public function setBorradas($borradas): void
    {
        $this->borradas = $borradas;
    }

    /**
     * @return mixed
     */
    public function getRenovadas()
    {
        return $this->renovadas;
    }

    /**
     * @param mixed $renovadas
     */
    public function setRenovadas($renovadas): void
    {
        $this->renovadas = $renovadas;
    }

    /**
     * @return mixed
     */
    public function getTotalDeBecas()
    {
        return $this->total_de_becas;
    }

    /**
     * @param mixed $total_de_becas
     */
    public function setTotalDeBecas($total_de_becas): void
    {
        $this->total_de_becas = $total_de_becas;
    }


}
