<?php

namespace Modules\OrdenProviciones\Dto;

use App\Dto\BaseDto;

class InfoListadoDto extends BaseDto
{
    protected $establecimiento;
    protected $servicio_id;
    protected $distrito;

    protected $dias;
    protected $nombre;
    protected $cantidad;
    protected $observacion;
    protected $ajuste_consumo_yogur;
    protected $porcentaje_ajuste_por_consumo_yogur;
    protected $ajuste_consumo_leche;
    protected $porcentaje_ajuste_leche;
    protected $domicilio_entrega;

   public function __construct(array $attributes = [])
   {
       parent::__construct($attributes);

   }

    /**
     * @return mixed
     */
    public function getEstablecimiento()
    {
        return $this->establecimiento;
    }

    /**
     * @param mixed $establecimiento
     */
    public function setEstablecimiento($establecimiento): void
    {
        $this->establecimiento = $establecimiento;
    }

    /**
     * @return mixed
     */
    public function getDistrito()
    {
        return $this->distrito;
    }

    /**
     * @param mixed $distrito
     */
    public function setDistrito($distrito): void
    {
        $this->distrito = $distrito;
    }

    /**
     * @return mixed
     */
    public function getDias()
    {
        return $this->dias;
    }

    /**
     * @param mixed $dias
     */
    public function setDias($dias): void
    {
        $this->dias = $dias;
    }

    /**
     * @return mixed
     */
    public function getNombre()
    {
        return $this->nombre;
    }

    /**
     * @param mixed $nombre
     */
    public function setNombre($nombre): void
    {
        $this->nombre = $nombre;
    }

    /**
     * @return mixed
     */
    public function getCantidad()
    {
        return $this->cantidad;
    }

    /**
     * @param mixed $cantidad
     */
    public function setCantidad($cantidad): void
    {
        $this->cantidad = $cantidad;
    }



    /**
     * @return mixed
     */
    public function getObservacion()
    {
        return $this->observacion;
    }

    /**
     * @param mixed $observacion
     */
    public function setObservacion($observacion): void
    {
        $this->observacion = $observacion;
    }

    /**
     * @return mixed
     */
    public function getServicioId()
    {
        return $this->servicio_id;
    }

    /**
     * @param mixed $servicio_id
     */
    public function setServicioId($servicio_id): void
    {
        $this->servicio_id = $servicio_id;
    }

    /**
     * @return mixed
     */
    public function getAjusteConsumoYogur()
    {
        return $this->ajuste_consumo_yogur;
    }

    /**
     * @param mixed $ajuste_consumo_yogur
     */
    public function setAjusteConsumoYogur($ajuste_consumo_yogur): void
    {
        $this->ajuste_consumo_yogur = $ajuste_consumo_yogur;
    }

    /**
     * @return mixed
     */
    public function getPorcentajeAjustePorConsumoYogur()
    {
        return $this->porcentaje_ajuste_por_consumo_yogur;
    }

    /**
     * @param mixed $porcentaje_ajuste_por_consumo_yogur
     */
    public function setPorcentajeAjustePorConsumoYogur($porcentaje_ajuste_por_consumo_yogur): void
    {
        $this->porcentaje_ajuste_por_consumo_yogur = $porcentaje_ajuste_por_consumo_yogur;
    }

    /**
     * @return mixed
     */
    public function getAjusteConsumoLeche()
    {
        return $this->ajuste_consumo_leche;
    }

    /**
     * @param mixed $ajuste_consumo_leche
     */
    public function setAjusteConsumoLeche($ajuste_consumo_leche): void
    {
        $this->ajuste_consumo_leche = $ajuste_consumo_leche;
    }

    /**
     * @return mixed
     */
    public function getPorcentajeAjusteLeche()
    {
        return $this->porcentaje_ajuste_leche;
    }

    /**
     * @param mixed $porcentaje_ajuste_leche
     */
    public function setPorcentajeAjusteLeche($porcentaje_ajuste_leche): void
    {
        $this->porcentaje_ajuste_leche = $porcentaje_ajuste_leche;
    }

    /**
     * @return mixed
     */
    public function getDomicilioEntrega()
    {
        return $this->domicilio_entrega;
    }

    /**
     * @param mixed $domicilio_entrega
     */
    public function setDomicilioEntrega($domicilio_entrega): void
    {
        $this->domicilio_entrega = $domicilio_entrega;
    }





}
