<?php

namespace Modules\OrdenProviciones\Repositories\V1;

use App\Repository\EloquentRepository;
use Illuminate\Support\Facades\DB;
use Modules\OrdenProviciones\Entities\V1\CicloLectivo;

class CicloLectivoRepository extends EloquentRepository
{
    public function __construct()
    {
        parent::__construct(new CicloLectivo());
    }

    public function getMayorCicloLectivo(){

        return DB::table('257_CICLO_LECTIVO')
            ->select([
                'c257_id AS id',
                'c257_ciclolectivo AS ciclo_lectivo'
            ])
            ->orderBy('c257_ciclolectivo','DESC')
            ->take(1)
            ->get();
    }
}
