<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;


class AperturaResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {

        return [
            'id' => $this->c088_id,
            'pof_id' => $this->c088_034_id ,
            'plan_id' => $this->c088_007_id ,
            'asignatura_id' => $this->c088_010_id ,
            'anio' => $this->c088_ano ,
            'division' => $this->c088_div ,
            'turno_id' => $this->c088_035_id ,
            'cabecera' => $this->c088_cabecera ,
            'desde' => $this->c088_fdesde ,
            'hasta' => $this->c088_fdesde ,
            'horas' => $this->c088_horas ,
            'migrado' => $this->c088_migrado ,
            'gef' => $this->c088_gef ,
            'ppc' => $this->c088_ppc ,
            'creacion_vacante_id' => $this->c088_034_creacion_vacante_id ,
            '088_id' => $this->c088_088_id ,
            'observacion' => $this->c088_observaciones ,
            'comision' => $this->c088_comision ,
            'cuatrimestre' => $this->c088_088_id ,
		        'asignatura' => new AsignaturaResource(
				        $this->whenLoaded('asignatura')
		        ),
		        'turno' => new TurnoResource(
				        $this->whenLoaded('turno')
		        ),
		        'plan' => new PlanResource(
				        $this->whenLoaded('plan')
		        ),
        ];
/*





c088_cuatrimestre
 */
    }
}
