<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;


class AsignaturaResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {

        return [
            'id' => $this->c010_id,
            'descripcion' => $this->c010_des ,
            'plan_de_estudio' => $this->c010_plan_de_estudio ,
            'grupo_educacion_fisica' => $this->c010_grupo_educacion_fisica ,
            'activo' => $this->c010_activo ,
            'fechadesactivo' => $this->c010_fechadesactivo ,
            'duplicados' => $this->c010_duplicados ,
            'abreviatura' => $this->c010_abreviatura ,
            'admite_horas_a_termino' => $this->c010_admite_horas_a_termino ,

        ];

    }
}
