<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;


class CargoResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {

        return [
            'id' => $this->c030_id,
            'descripcion' => $this->c030_des ,
            'carga_horaria' => $this->c030_cargahoraria ,
            'punto_indice' => $this->c030_puntoindice ,
            'planasoc' => $this->c030_planasoc ,
            'activo' => $this->c030_activo ,
            'fechadesactivo' => $this->c030_fechadesactivo ,
            'abreviatura' => $this->c030_abreviatura ,
            'grupo' => $this->c030_grupo ,
            'requiere_horas' => $this->c030_requiere_horas ,
            'admite_horas_a_termino' => $this->c030_admite_horas_a_termino ,
            'tipo' => $this->c030_031_id ,
            'escalafon' => (string ) $this->c030_032_id


        ];
/*


c030_030_idunificado
c030_030_escin
c030_030_liq
c030_030_idtraslado
c030_031_id
c030_032_id
c030_001_id
c030_077_id
c030_081_id
c030_025_id

 */
    }
}
