<?php

namespace App\Http\Resources;

use App\Models\Asignatura;
use App\Models\Servicio;
use App\Models\Caracter;
use Illuminate\Http\Resources\Json\JsonResource;
use Carbon\Carbon;
use DB;
class PofResource extends JsonResource
{
    private static $persona_id = null;
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
		    $horas_147 = $this->c034_horas;
		    if ($this->cargo != null) {
				    if (empty($horas_147) || $horas_147 == 0) {
						    $sql_horas_147 = "select c147_cargahoraria as horas from 147_CARGA_HORARIA  where   c147_012_id = '" . $this->establecimiento->c011_012_id . "' and c147_030_id = " . $this->cargo->c030_id . " and   c147_035_id  " . $this->cargo->c030_035_id . "  limit 1 ";
						    $rows = (DB::select($sql_horas_147));
						    if ((isset($rows[0]) && $rows[0]->horas > 0))
								    $horas_147 = $rows[0]->horas;
				    }
				    if (empty($horas_147) || $horas_147 == 0) {
						    $sql_horas_147 = "select c147_cargahoraria as horas from 147_CARGA_HORARIA  where c147_030_id = " . $this->cargo->c030_id . " and   c147_035_id  " . $this->cargo->c030_035_id . "  limit 1 ";
						    $rows = (DB::select($sql_horas_147));
						    if ((isset($rows[0]) && $rows[0]->horas > 0))
								    $horas_147 = $rows[0]->horas;
				    }
		    }

				//pasar a modelo
		    $tieneLicenciaAbierta = false;
		  /*  $tieneLicenciaAbierta = false;
		    foreach ($this->licenciaTitular() as $licenciaTitular) {
				    if($licenciaTitular->getFechaHasta() == '0000-00-00'){
						    $tieneLicenciaAbierta = true;
						    break;
				    }
		    }*/
		    $admiteCambiarLicencia = $this->licenciaTitular && $tieneLicenciaAbierta;

				//pasar al modelo
		    $admiteEnviarAlAreaParaAprobacion = false;

        return [
            'id' => $this->c034_id,
            'cargo_id' =>  $this->cargo != null ? $this->cargo->c030_id : '',
            'caracter_id' => $this->c034_caracter,
           // 'fecha_toma_posecion' => !is_null($this->c034_fcmzo)?$this->c034_fcmzo->format('d/m/Y'):'',
            'cuatrimestre' => $this->c034_cuat,
            'anio' => $this->c034_ano,
            'division' => $this->c034_div,
            'grupo_educacion_fisica' => $this->c034_gef,
            'curso' => $this->c034_curso,
            'comision' => $this->c034_comision,
            'rol' => $this->c034_id_rol,
            'admiteCambiarLicencia' => $admiteCambiarLicencia,
            'horas' => $this->c034_horas,
            'horas_titular' => $this->c034_horast,
            'horas_interino' => $this->c034_horasi,
            'horas_suplente' => $this->c034_horass,
            'anio_creacion' => $this->c034_anocrea,
            'observaciones' => utf8_encode($this->c034_memo),
            'fecha_vacante' => $this->c034_fvacante,
            'marca' => $this->c034_marca,
            'marca_web' => $this->c034_marca_web,
            'anio_desactivado' => $this->c034_aniodesactivado,
            'cese_pendiente' => $this->c034_cesependiente,
            'orden_vista' => $this->c034_orden,
            'movimiento' => $this->c034_movimiento,
            'revisado' => $this->c034_revisado,
            'vinculacion_cuatrimestral' => $this->c034_vinculacioncuatrimestral,
            'baja_pof_presupuestaria' => $this->c034_baja_pof_presupuestaria,

/*

		      '.asignaturaEspecialidad','curso',
		        'aprobacionCreacionArea', 'ftSinBaja','ftSinBaja.persona','ftSinBaja.oriCese','ftSinBaja.oriLicencia',
		        'ftSinBaja.oriVacante','ftSinBaja.personaReemplazada',  'ftSinBaja.licenciaFt', 'ftSinBaja.licenciaFt.oriLicencia'
		        */
		        'aperturas' =>  AperturaResource::collection(
				        $this->whenLoaded('aperturas')
		        ),
            '147_horas' => $horas_147 ,
               'oriAcceso' => new OriAccesoResource(
                $this->whenLoaded('oriAcceso')
            ),
            'oriVacante' => new OriVacanteResource(
                $this->whenLoaded('oriVacante')
            ),
            'asignatura' => new AsignaturaResource(
                $this->whenLoaded('asignatura')
            ),
            'turno' => new TurnoResource(
                $this->whenLoaded('turno')
            ),
            'turno2' => new TurnoResource(
                $this->whenLoaded('turno2')
            ),
            'tramo' => new TramoResource(
                $this->whenLoaded('tramo')
            ),
            'cargo' => new CargoResource(
                $this->whenLoaded('cargo')
            ),
            'plan' => new PlanResource(
                $this->whenLoaded('plan')
            ),
            'establecimiento' => new EstablecimientoResource(
                $this->whenLoaded('establecimiento')
            ),
            'area' => $this->when(($this->establecimiento && $this->establecimiento->area), new AreaResource($this->establecimiento->area)),

            'caracter' => new CaracterResource(
                $this->whenLoaded('caracter')
            ),
            'normaAlta' => new NormaResource(
                $this->whenLoaded('normaAlta')
            ),
            'normaBaja' => new NormaResource(
                $this->whenLoaded('normaBaja')
            ),
            'nivel' => new NivelResource(
                $this->whenLoaded('nivel')
            ),
            'persona' => new PersonaResource(
                $this->whenLoaded('persona')
            ),
            'titularAnterior' => new PersonaResource(
                $this->whenLoaded('titularAnterior')
            ),
            'normaCreacion' => new NormaResource(
                $this->whenLoaded('normaCreacion')
            ),
            'normaExpedienteElectronico' => new NormaResource(
                $this->whenLoaded('normaExpedienteElectronico')
            ),
            'tipoMovimiento' => new TipoMovimientoResource(
                $this->whenLoaded('tipoMovimiento')
            ),
            'familiaProfesional' => new FamiliaProfesionalResource(
                $this->whenLoaded('familiaProfesional')
            ),
            'origen' => new OrigenResource(
                $this->whenLoaded('origen')
            ),
            'pedidoTp' => new PedidoTpResource(
                $this->whenLoaded('pedidoTp')
            ),

        ];

    }
    //I made custom function that returns collection type
    public static function byPersonaCollection($resource, $persona_id): \Illuminate\Http\Resources\Json\AnonymousResourceCollection
    {
        //you can add as many params as you want.
        self::$persona_id = $persona_id;
        return parent::collection($resource);
    }
}
