<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Database\Eloquent\Scope;
use Illuminate\Database\Eloquent\Builder;
use App\Helpers\FormatHelper;

class Asignatura extends Model
{
    protected $table = '010_ASIGNATURAS';
    public static $asignatura_hora_libre_cero=  array(
        243, 4911, 6152, 242, 9242, 244, 9243,94911, 6106,  4322,  7713,  8279, 2041,
        5543, 926, 1012, 4323, 2042, 1322, 1321,3674, 3675, 4121,4122,4123, 4920,
        6169,6129,6125, 1234, 7431, 4914, 4915, 9348, 9349, 3598, 5709, 4320, 4321,
        6339, 2768, 2769, 2770, 6428, 5464, 6429, 3452, 1330, 1331, 6154,
        3574, 1333, 8197, 5542, 3560, 9044, 9045, 3561,
    );

		public function scopeEstablecimiento($query, $value)
		{
				$value = intval($value);
				$query->whereRaw('c010_id in (select DISTINCT c034_010_id from `034_POF` p where p.c034_011_id = '.$value.'  and c034_010_id is not null ) ');
		}

		public function asignaturaEspecialidad() {
			//	return $this->hasOne(Curso::class, 'c089_id', 'c034_089_id');
				return $this->hasOneThrough(
						Especialidad::class,
						AsignaturaEspecialidad::class,
						'c152_010_id', // Foreign key on the pivot table
						'c105_id', // Local key on the customers table
						'c010_id', // Local key on the vehicles table
						'c152_105_id' // Foreign key on the pivot table
				);
		}

		public function curso() {
				return $this->hasOne(Curso::class, 'c089_id', 'c034_089_id');
		}

}
