<?php

namespace App\Models;


use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Crypt;
use Illuminate\Database\Eloquent\Scope;
use Illuminate\Database\Eloquent\Builder;
use App\Helpers\FormatHelper;

class PofTp extends Model
{
    protected $table = '088_POFTP';
		public $timestamps = false;
		protected $primaryKey = 'c088_id';
		protected $with = ['asignatura','plan','turno'];

		public function asignatura() {
				return $this->hasOne(Asignatura::class, 'c010_id', 'c088_010_id');
		}
		public function plan() {
				return $this->hasOne(Plan::class, 'c007_id', 'c088_007_id');
		}
		public function turno() {
				return $this->hasOne(Turno::class, 'c035_id', 'c088_035_id');
		}
}
