<?php



namespace App\Service;


abstract class BaseService
{
    protected $perPage;
    const VERSION = 'v1';
    const PREFIX = 'base';

    public function __construct()
    {
        $this->perPage = config('wsad.results_perpage', 15);
    }

    protected function getCacheKey($key, array $params)
    {
        foreach($params as $param){
            if(is_array($param)) {
                $key .= implode('_', $param);
            } else {
                $key .= '_'.$param;
            }
        }
        return static::VERSION . '_' . static::PREFIX . '_' . $key;
    }

}
