<?php

namespace App\Service\Search;

use App\Http\Requests\AsiganturasSearchRequest;
use App\Models\Area;
use App\Models\Asignatura;
use App\Service\Search\Maps\AsignaturaSearchMap;


class AsignaturaSearchService extends AbstractSearchService
{
    protected $request;


    public function __construct(AsiganturasSearchRequest $request)
    {
        $this->request = $request;
        $this->map_columns = [];
        $this->exclude_columns = array(...$this->exclude_columns );
        $this->order_by_columns = [''];
        $this->map_columns = AsignaturaSearchMap::$map;
    }

    public function search( $paginate = false )
    {

        $this->request->validated();
				$query = Asignatura::query() ;

		    $this->request->order_by = "c010_des asc";
				if($paginate)
            return   $this->find($query)->paginate($this->request->get('per_page', 12)) ;
				else
						return   $this->find($query)->get() ;
    }


}
