<?php

namespace App\Service\Search;


use App\Http\Requests\NivelesSearchRequest;
use App\Models\Modalidad;
use App\Models\Nivel;
use App\Service\Search\Maps\NivelesSearchMap;


class NivelesSearchService extends AbstractSearchService
{
    protected $request;


    public function __construct(NivelesSearchRequest $request)
    {
        $this->request = $request;
        $this->map_columns = [];
        $this->exclude_columns = array(...$this->exclude_columns );
        $this->order_by_columns = [];
        $this->map_columns = NivelesSearchMap::$map;
    }

    public function search( $paginate = false )
    {

        $this->request->validated();
				$query = Nivel::query() ;

//				if($paginate)
//            return   $this->find($query)->paginate($this->request->get('per_page', 12)) ;
//				else
						return   $this->find($query)->get() ;
    }


}
